#!/bin/bash

#Libraries to link for HDF5 : -lz -lm -lhdf5
#Optional library for HDF5  : -lsz (not useful for our usage in the compile script, but szip still needs to be loaded to load hdf5)
#Include path for hdf5.h    : -I/cineca/prod/opt/libraries/hdf5/1.8.17/intelmpi--2017--binary/include
#Library path for -lhdf5    : -L/cineca/prod/opt/libraries/hdf5/1.8.17/intelmpi--2017--binary/lib
#Library path for -lz       : -L/cineca/prod/opt/libraries/zlib/1.2.8/gnu--6.1.0/lib
#Modify the compile scripts : modify the -DCHUNK_SIZE=                   for a different chunk size (you should not need to modify that)
#                             modify the -DPICVERT_MAX_NB_FOURIER_MODES= for the output of more Fourier modes
#                             modify the -DPICVERT_MAX_LINE_LENGTH=      for the use of more characters on one line in the parameter file
#Modify other parameters    : modify the other parameters in parameters_2d3v.txt
#Modify the source code     : modify anything else directly inside $PICVERT_HOME/simulations/sim2d3v_aocosoa_europar2018.c

PICVERT_HOME=$HOME/Pic-Vert

compile_icc() {
  module load szip/2.1--gnu--6.1.0
  module load zlib/1.2.8--gnu--6.1.0
  module load hdf5
  mkdir run$1
  cp parameters_2d3v.txt run$1/
  mpiicc -I$PICVERT_HOME/include -I/cineca/prod/opt/libraries/hdf5/1.8.17/intelmpi--2017--binary/include -L/cineca/prod/opt/libraries/szip/2.1/gnu--6.1.0/lib -L/cineca/prod/opt/libraries/zlib/1.2.8/gnu--6.1.0/lib -L/cineca/prod/opt/libraries/hdf5/1.8.17/intelmpi--2017--binary/lib -L/cineca/prod/opt/libraries/fftw/3.3.4/intelmpi--2017--binary/lib $PICVERT_HOME/src/matrix_functions.c $PICVERT_HOME/src/meshes.c $PICVERT_HOME/src/output.c $PICVERT_HOME/src/parameter_reader.c $PICVERT_HOME/src/random.c $PICVERT_HOME/src/space_filling_curves.c $PICVERT_HOME/src/diagnostics.c $PICVERT_HOME/src/fields.c $PICVERT_HOME/src/hdf5_io.c $PICVERT_HOME/src/initial_distributions.c $PICVERT_HOME/src/particle_type_concurrent_chunkbags_of_soa_2d3v.c $PICVERT_HOME/src/poisson_solvers.c $PICVERT_HOME/src/rho.c $PICVERT_HOME/simulations/sim2d3v_aocosoa_europar2018.c -DCHUNK_SIZE=256 -DSPARE_LOC_OPTIMIZED -DOMP_TILE_SIZE=2 -lfftw3 -lz -lm -lhdf5 -O3 -qopenmp -xCORE-AVX512 -mtune=skylake -std=gnu11 -o run$1/aocosoa_2d3v.out
}

for run_id in $(seq 1 10)
do
    compile_icc $run_id
done

