#!/bin/bash

#Modify the compile scripts : modify the -DNB_PARTICLE= if you want a different number of particles. Here given for 2*10**9 particles.
#                             modify the -DCHUNK_SIZE= if you want a different chunk size.
#Modify the source code     : modify other simulation parameters directly inside $PICVERT_HOME/simulations_particle_loop_optimizations/sim3d_aocosoa_concurrent_colored_1array-Xloops.c

PICVERT_HOME=$HOME/Pic-Vert

compile_icc() {
  mkdir run$1
  mpiicc -I$PICVERT_HOME/include -L/cineca/prod/opt/libraries/fftw/3.3.4/intelmpi--2017--binary/lib $PICVERT_HOME/src/matrix_functions.c $PICVERT_HOME/src/meshes.c $PICVERT_HOME/src/output.c $PICVERT_HOME/src/random.c $PICVERT_HOME/src/space_filling_curves.c $PICVERT_HOME/src/diagnostics.c $PICVERT_HOME/src/fields.c $PICVERT_HOME/src/initial_distributions.c $PICVERT_HOME/src/particle_type_concurrent_chunkbags_of_soa_3d.c $PICVERT_HOME/src/poisson_solvers.c $PICVERT_HOME/src/rho.c $PICVERT_HOME/simulations_particle_loop_optimizations/sim3d_aocosoa_concurrent_colored_1array-Xloops.c -DPIC_VERT_3_LOOPS -DSPARE_LOC_OPTIMIZED -DOMP_TILE_SIZE=2 -DNCX=64 -DNCY=64 -DNCZ=64 -DDELTA_T=0.05 -DNB_PARTICLE=2000000000 -DNB_ITER=500 -DCHUNK_SIZE=256 -lfftw3 -lm -O3 -qopenmp -xCORE-AVX512 -mtune=skylake -std=gnu11 -o run$1/aocosoa_3d.out
}

for run_id in 1
do
    compile_icc $run_id
done

