#!/bin/bash
#PBS -l walltime=1:00:00
#                                     Elapsed time limit in hh:mm:ss
#PBS -l select=1:ncpus=24:mpiprocs=1
#                                     Number of nodes (select), cores (ncpus) and mpi tasks (mpiprocs)
#PBS -o std_output.txt
#                                     Standard output
#PBS -e std_err.txt
#                                     Error output
#PBS -q xfuasklprod
#                                     Choosing xfua nodes
#PBS -A FUA11_selavlas
#                                     Project ID
#PBS -N Stream-24thread
#                                     Request name

module load intel intelmpi

run() {
  export OMP_NUM_THREADS=$1
  cd $HOME/Pic-Vert/tests/Stream-test/1node-1process-$1thread
  mpirun ./a.out
}

run 1
run 2
run 4
run 8
run 16
run 24

